register_sound_dsp
Prev | Chapter 22. Sound Devices | Next

## Name

register_sound_dsp — register a DSP device

## Synopsis

`int register_sound_dsp (` | const struct file_operations * | fops,
| int | dev`)`;

## Arguments

`fops`

  File operations for the driver

`dev`

  Unit number to allocate

## Description

Allocate a DSP device. Unit is the number of the DSP requested. Pass -1 to request the next free DSP unit. On success the allocated number is returned, on failure a negative error code is returned.

This function allocates both the audio and dsp device entries together and will always allocate them as a matching pair - eg dsp3/audio3

Prev | Up | Next
register_sound_midi | Home | unregister_sound_special